#ifndef __LISTS_H_
#define __LISTS_H_

#include "packages.h"

struct list_item
{
	char name[PACKAGE_NAME_LENGTH];
	char version[PACKAGE_VERSION_LENGTH];
	unsigned int count;
	struct list_item * prev;
	struct list_item * next;
};

struct list_item_base
{
	struct list_item * start;
	unsigned int number_items;
};


void * list_filter(const char * name, const char * version,
	struct list_item_base *b, unsigned int prefix);

struct list_item * insert_into_list(const char * name, const char * version,
        struct list_item_base *b);

struct list_item_base * list_load(struct list_item_base * old_base,
	const char * filename, int report_error);

struct list_item_base * list_setup_base(void);

#endif
